version: '3.4'
services:
  moo-development:
    build:
      context: .
      target: development
    volumes:
      - .:/mkdocs/
    ports:
      - "8000:8000"
  moo-production:
    build:
      context: .
      target: production
    image: gitlab.rc.uab.edu:4567/center-for-computational-genomics-and-data-science/manual-of-operations:v0.1
    ports:
      - "80:80"
    deploy:
      labels:
        - "traefik.backend=moo-production"
        - "traefik.http.routers.moo-production.rule=PathPrefix(`/manual-of-operations`)"
        - "traefik.http.middlewares.moo-strip-prefix.stripprefix.prefixes=/manual-of-operations"
        - "traefik.http.routers.moo-production.middlewares=moo-production"
        - "traefik.port=80"

networks:
  traefik-public:
    external: true
